import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    name: "INDEX",
    redirect: "/login"
  },
  {
    path: "/login",
    name: "Login",
    component: () => import("../views/auth/Login.vue")
  },
  {
    path: "/map",
    name: "Map",
    component: () => import("../views/map/Map.vue")
  },
  {
    path: "/system",
    name: "System",
    component: () => import("../views/layouts/AppLayout.vue"),
    children: [
      {
        path: "user",
        name: "User",
        component: () => import("../views/sys-user/SysUser.vue"),
        meta: {
          icon: ""
        }
      }
    ]
  }
];

const router = new VueRouter({
  routes
});

export default router;
